/* Columnes */

/* Blockquote */
blockquote.wp-block-quote {
  border-radius: 12px;
  box-shadow: 8px 8px var(--wp--preset--color--fountain-blue);
}

/* Image */
.wp-block-image.is-style-border-radius img {
  border-radius: 12px !important;
}

/* Buttons */
.wp-block-buttons .wp-block-button:not(:first-child) {
  margin-left: 0.5rem;
}

/* typography class for retro compatibility */
.wp-block-buttons .wp-block-button .wp-block-button__link.has-typography-color,
.wp-block-buttons .wp-block-button .wp-block-button__link.has-contrast-color {
  color: var(--wp--preset--color--contrast) !important;
}

.wp-block-buttons .wp-block-button .wp-block-button__link.has-base-color {
  color: var(--wp--preset--color--base) !important;
}

.wp-block-buttons .wp-block-button .wp-block-button__link {
  outline: 1px solid transparent;
  transition:
    all 0.2s ease-in-out,
    outline 80ms ease-out;
}

.wp-block-buttons
  .wp-block-button:hover
  .wp-block-button__link:not(.has-background) {
  outline: 2px solid var(--wp--preset--color--fountain-blue);
}

.wp-block-buttons .wp-block-button:hover .wp-block-button__link.has-background {
  outline: 2px solid var(--wp--preset--color--contrast);
}

.wp-block-buttons .wp-block-button.is-style-brand .wp-block-button__link {
  color: var(--wp--preset--color--contrast);
  background-color: var(--wp--preset--color--brand);
}

.wp-block-buttons .wp-block-button.is-style-brand:hover .wp-block-button__link {
  outline-color: var(--wp--preset--color--contrast);
}

.wp-block-buttons .wp-block-button.is-style-arrow .wp-block-button__link {
  padding-right: 3.2em;
  position: relative;
}

.wp-block-buttons
  .wp-block-button.is-style-arrow
  .wp-block-button__link::after {
  content: "";
  line-height: 1;
  width: 1em;
  height: 1em;
  background-image: url("../../assets/images/btn-arrow.svg");
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  position: absolute;
  right: 1.3em;
  top: 50%;
  transform: translateY(-55%);
}

.wp-block-buttons
  .wp-block-button.is-style-arrow
  .wp-block-button__link:where(
    .has-brand-background-color,
    .has-base-background-color,
    .has-fountain-blue-background-color,
    .has-swans-downs-background-color
  )::after {
  background-image: url("../../assets/images/btn-arrow--black.svg");
}

/* Lists */
ul.is-style-checklist {
  list-style: none;
  padding-left: var(--wp--preset--spacing--50);
}

ul.is-style-checklist > li {
  position: relative;
  margin-left: 0;
}

ul.is-style-checklist > li:after {
  position: absolute;
  left: calc(var(--wp--preset--spacing--50) * -1);
  top: 0.1em;
  width: 1.3em;
  height: 1.3em;
  line-height: 1.2em;
  text-align: center;
  background-color: var(--wp--preset--color--background);
  content: "✕";
  border-radius: 100px;
}

ul.is-style-checklist > li:not(.is-style-checklist-uncheck):after {
  content: "✔";
  background-color: var(--wp--preset--color--swans-downs);
}

ul.is-style-numeric {
  list-style: none;
  counter-reset: sm-numeric-counter;
}

ul.is-style-numeric li {
  counter-increment: sm-numeric-counter;
  margin: 0.25em;
}

ul.is-style-numeric li::before {
  content: counter(sm-numeric-counter);
  background: var(--wp--preset--color--la-rioja);
  width: 2em;
  height: 2em;
  line-height: 2em;
  font-weight: bold;
  border-radius: 50%;
  display: inline-block;
  color: var(--wp--preset--color--contrast);
  text-align: center;
  margin-right: 0.5em;
}

@media (min-width: 920px) {
  ul.is-style-numeric li::before {
    font-size: 1.2em;
  }
}

ul.is-style-numeric li::marker {
  width: 1em;
  height: 1em;
  background-color: var(--wp--preset--color--brand);
}

/* Columns */
@media (max-width: 782px) {
  .wp-block-columns.is-style-reverse-pile {
    flex-direction: column-reverse;
  }
}

/* Search */
.wp-block-search__button-inside .wp-block-search__inside-wrapper {
  border: none;
}

/* Heading */
:root :where(.wp-block-query-title) {
  font-family: var(--wp--preset--font-family--secondary);
  margin-top: 0px;
  margin-bottom: var(--wp--preset--spacing--60);
}

/* Paragraph */
p.is-style-arrow > a {
  position: relative;
  margin-right: 1.3em;
}

p.is-style-arrow > a::after {
  content: "→";
  font-size: 1.1em;
  position: absolute;
  right: -1.1em;
  top: 50%;
  transform: translateY(-45%);
}

/* Table */
.wp-block-table:not(.is-variation-horizontal) {
  overflow-x: unset;
}

.wp-block-table table {
  border-collapse: separate;
  border-spacing: 0;
}

.wp-block-table thead tr th,
.wp-block-table table.dataTable thead > tr > th {
  position: sticky;
  top: 0;
  z-index: 1;
  background-color: var(--wp--preset--color--base);
  border-bottom: 1px solid var(--wp--preset--color--contrast);
}

table.dataTable > tbody > tr > td,
table.dataTable > thead > tr > th,
.wp-block-table table > tbody > tr > td,
.wp-block-table table > thead > tr > th {
  border: none;
  padding: 1.2em 0.85em 1.2em 0.85em;
  border-bottom: 1px solid var(--wp--preset--color--contrast);
}

table.dataTable > tbody > tr > td:first-child,
table.dataTable > thead > tr > th:first-child,
.wp-block-table table > tbody > tr > td:first-child,
.wp-block-table table > thead > tr > th:first-child {
  padding-left: 0.25em;
}

table.dataTable > tbody > tr:last-child > td,
.wp-block-table tr:last-child td {
  border-bottom: none;
}

/* Horizontal table */
.wp-block-table.is-variation-horizontal table * {
  white-space: nowrap;
  word-break: keep-all;
}

.wp-block-table.is-variation-horizontal {
  overflow-x: auto;
  width: 100%;
}

.wp-block-table.is-variation-horizontal table {
  table-layout: auto;
}

.wp-block-table.is-variation-horizontal thead tr th:first-child,
.wp-block-table.is-variation-horizontal .dataTable thead tr th:first-child,
.wp-block-table.is-variation-horizontal tbody tr td:first-child {
  position: sticky;
  left: 0;
  z-index: 2;
  background-color: var(--wp--preset--color--base);
  border-right: 1px solid var(--wp--preset--color--contrast);
}

.dt-container {
  font-size: var(--wp--preset--font-size--small);
}

@media (min-width: 782px) {
  .wp-block-table .dt-search {
    display: flex;
    align-items: center;
    gap: 1em;
  }
}
